| Home | Libraries | People | FAQ | More

## BoostBook element `requirement`

requirement — A requirement/property in the Jamfile for a testcase

## Synopsis

requirement ::= (#PCDATA)

## Description

A requirement is part of the dependencies of a target in a Jamfile. The `name` attribute of a requirement element gives the name of the Boost.Build feature and the content of the requirement gives the value of that feature. A requirement such as `<includes>foo.hpp` would be encoded as `<requirement name="includes">foo.hpp</requirement>`.

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
name | #REQUIRED | CDATA | The name of the element being declared to referenced

| Copyright © 2003 Douglas Gregor